---
layout: commands
page_title: 'Commands: ACL Binding Rule Delete'
description: |
  The `consul acl binding-rule delete` command deletes an ACL binding rule according to a specified ID. These rules bind auth methods to specific services or roles.
---

# Consul ACL Binding Rule Delete

Command: `consul acl binding-rule delete`

Corresponding HTTP API Endpoint: [\[DELETE\] /v1/acl/binding-rule/:id](/consul/api-docs/acl/binding-rules#delete-a-binding-rule)

The `acl binding-rule delete` command deletes a binding rule.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:write`  |

## Usage

Usage: `consul acl binding-rule delete [options]`

#### Command Options

- `-id=<string>` - The ID of the binding rule to delete. It may be specified as a
  unique ID prefix but will error if the prefix matches multiple binding rule IDs.

#### Enterprise Options

@include 'legacy/cli-http-api-partition-options.mdx'

@include 'legacy/http_api_namespace_options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

@include 'legacy/http_api_options_server.mdx'

## Examples

Delete a binding rule:

```shell-session
$ consul acl binding-rule delete -id 0ec1bd
Binding rule "0ec1bd2f-1d3b-bafb-d9bf-90ef04ab1890" deleted successfully
```
